Download it now!
Bug 128304 - FILESAVE DOCX CJK characters have wrong orientation in shapes and frames in tb-rl writing mode
Summary: FILESAVE DOCX CJK characters have wrong orientation in shapes and frames in t...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.1
Keywords:
Depends on:
Blocks: CJK Vertical-Text
  Show dependency treegraph
 
Reported: 2019-10-21 21:02 UTC by Regina Henschel
Modified: 2020-01-17 16:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
eaVertSource.odt contains four objects with tb-rl writing-mode and CJK characters (14.78 KB, application/vnd.oasis.opendocument.text)
2019-10-21 21:02 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-10-21 21:02:13 UTC
Created attachment 155215 [details]
eaVertSource.odt contains four objects with tb-rl writing-mode and CJK characters

Open attached document. It contains four objects: legacy rectangle, graphic text box (from icon 'A'), custom shape without text box, frame.
For the first three object the writing-mode tb-rl was set via UI. To do this, bring the shape in text edit mode and use the icon "A with down arrows". The writing-mode of the frame was set via Property dialog. Use Options tab, field 'Text direction', option "Right-to-left (vertical)".

Save the file to docx format.

Open the newly generated file in Word and compare it with the original. Look especially at the orientation of the CJK characters. They should be upright, the latin characters should be 90° clock-wise rotated. Depending on the LO version, you get different save results. But none of them is correct on all four shapes.
Comment 1 Dieter Praas 2019-10-27 20:04:59 UTC
I confirm the bug. All CJK characters are also rotatd in MS Word 2016.

Saved with

Version: 6.4.0.0.alpha1 (x64)
Build ID: cc57df8f942f239d29cb575ea5a7cb01405db787
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: GL; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded
Comment 2 Commit Notification 2020-01-14 09:24:32 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b203b9c83d0000c8465dcd92fb6b029a2f28c724

tdf#128304 export TB_RL writing mode as eaVirt

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2020-01-17 09:37:05 UTC
Also reproduced in

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.19; UI Render: default; 
Locale: en-US (en_US.UTF-8
Comment 4 Xisco Faulí 2020-01-17 09:37:55 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: cc36c115004cb75037b0e4fdadff09035f765cd5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Mark, thanks for fixing this issue. Should it be closed now ?
Comment 5 Commit Notification 2020-01-17 16:18:29 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/598ea01b91a1b4e96c24e70089a63dcd35b29f1b

tdf#128304 export TB_RL writing mode as eaVirt

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.